# Uses of Class
org.apache.commons.math3.geometry.enclosing.EnclosingBall

Packages that use EnclosingBall
Package
Description
org.apache.commons.math3.geometry.enclosing
This package provides interfaces and classes related to the smallest enclosing ball problem.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of EnclosingBall in org.apache.commons.math3.geometry.enclosing

Methods in org.apache.commons.math3.geometry.enclosing that return EnclosingBall
Modifier and Type
Method
Description
`EnclosingBall<S,P>`
SupportBallGenerator.`ballOnSupport(List<P> support)`
Create a ball whose boundary lies on prescribed support points.
`EnclosingBall<S,P>`
Encloser.`enclose(Iterable<P> points)`
Find a ball enclosing a list of points.
`EnclosingBall<S,P>`
WelzlEncloser.`enclose(Iterable<P> points)`
Find a ball enclosing a list of points.
Methods in org.apache.commons.math3.geometry.enclosing with parameters of type EnclosingBall
Modifier and Type
Method
Description
`P`
WelzlEncloser.`selectFarthest(Iterable<P> points, EnclosingBall<S,P> ball)`
Select the point farthest to the current ball.

## Uses of EnclosingBall in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return EnclosingBall
Modifier and Type
Method
Description
`EnclosingBall<Euclidean3D,Vector3D>`
SphereGenerator.`ballOnSupport(List<Vector3D> support)`
Create a ball whose boundary lies on prescribed support points.

## Uses of EnclosingBall in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return EnclosingBall
Modifier and Type
Method
Description
`EnclosingBall<Euclidean2D,Vector2D>`
DiskGenerator.`ballOnSupport(List<Vector2D> support)`
Create a ball whose boundary lies on prescribed support points.

## Uses of EnclosingBall in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return EnclosingBall
Modifier and Type
Method
Description
`EnclosingBall<Sphere2D,S2Point>`
SphericalPolygonsSet.`getEnclosingCap()`
Get a spherical cap enclosing the polygon.